View Issue Details

IDProjectCategoryView StatusLast Update
0002198FreeCADBugpublic2015-12-15 13:15
ReporterJMG_BTAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSLinux Mint 17.2 Cinnamon 64bitOS Version
Product Version 
Target VersionFixed in Version0.16 
Summary0002198: Draft interference with freehand placement
DescriptionFreehand placement option ("transform" under right click menu) fails after activating Draft workbench. Workbench does not matter, because once you have activated Draft, "transform" will not work.

OS: Linux Mint 17.2 Rafaela
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5235 (Git)
Build type: None
Branch: master
Hash: 6b3d7b17a749e03bcbf2cf79bbbb903137298c44
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
Steps To Reproduce1- Open a new FreeCAD document
2- Switch to part design workbench and create a pad from a sketch
3- Switch to draft workbench and clone the previous pad

4- Try to "transform" (right click over cloned object in tree view) -> nothing happens
(well, report view says: "This object type is not editable")

5- Save the file, close FreeCAD. Open the file.
6- Right click over cloned object in tree view: "transform" -> now you can move the clone freely.
Additional InformationForum topic:
http://forum.freecadweb.org/viewtopic.php?f=3&t=11841

Bug reproduced by the user quick61, his FreeCAD info:

OS: Kubuntu 14.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4671 (Git)
Branch: releases/FreeCAD-0-15
Hash: 244b3aef360841646cbfe80a1b225c8b39c8380c
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

yorik

2015-07-25 17:28

administrator   ~0006258

Indeed clone objects don't have an edit mode implemented yet... I'm not sure if this is really a bug? Mor a feature request I think...

But in any case it is strange that it behaves differently after reopening the file, I'll investigate.

Related Changesets

FreeCAD: master 3dcc557e

2015-12-11 14:08:30

yorik

Details Diff
Draft: more consistent behaviour for Clones when trying to edit them - fixes 0002198 Affected Issues
0002198
mod - src/Mod/Draft/Draft.py Diff File

Issue History

Date Modified Username Field Change
2015-07-25 09:46 JMG_BT New Issue
2015-07-25 17:28 yorik Note Added: 0006258
2015-07-25 17:28 yorik Assigned To => yorik
2015-07-25 17:28 yorik Status new => assigned
2015-12-11 13:08 yorik Changeset attached => FreeCAD Master master 3dcc557e
2015-12-11 13:08 yorik Status assigned => closed
2015-12-11 13:08 yorik Resolution open => fixed
2015-12-15 13:15 yorik Fixed in Version => 0.16